#!/bin/bash

ATALK_BIN=/usr/bin
ATALK_CONF_DIR=/etc/atalk/
ATALK_SBIN=/usr/sbin

# read in netatalk configuration
if [ -f ${ATALK_CONF_DIR}/netatalk.conf ]; then
    . ${ATALK_CONF_DIR}/netatalk.conf
fi

if [ x"${ATALKD_RUN}" != x"no" -a -x ${ATALK_SBIN}/atalkd ]; then
	${ATALK_SBIN}/atalkd

	if [ x"${PAPD_RUN}" = x"yes"  -a -x ${ATALK_SBIN}/papd ]; then
	    ${ATALK_SBIN}/papd
	fi

	# check for timelord in bin directory
	if [ x"${TIMELORD_RUN}" = x"yes"  -a -x ${ATALK_BIN}/timelord ]; then
	    ${ATALK_BIN}/timelord
	fi

	# check for timelord in sbin directory
	if [ x"${TIMELORD_RUN}" = x"yes"  -a -x ${ATALK_SBIN}/timelord ]; then
	    ${ATALK_SBIN}/timelord
	fi

	# check for a2boot in bin directory
	if [ x"${A2BOOT_RUN}" = x"yes"  -a -x ${ATALK_BIN}/a2boot ]; then
	    ${ATALK_BIN}/a2boot
	fi

	# check for a2boot in sbin directory
	if [ x"${A2BOOT_RUN}" = x"yes"  -a -x ${ATALK_SBIN}/a2boot ]; then
	    ${ATALK_SBIN}/a2boot
	fi
fi

if [ x"${CNID_METAD_RUN}" = x"yes" -a -x ${ATALK_SBIN}/cnid_metad ]; then
	${ATALK_SBIN}/cnid_metad $CNID_CONFIG
fi

if [ x"${AFPD_RUN}" = x"yes" -a -x ${ATALK_SBIN}/afpd ]; then
	${ATALK_SBIN}/afpd ${AFPD_UAMLIST} -g ${AFPD_GUEST} \
               -c ${AFPD_MAX_CLIENTS} -n \"${ATALK_NAME}${ATALK_ZONE}\"
fi
